Package jaxe

# Class JEFactory

java.lang.Object
jaxe.JEFactory

public class JEFactory extends Object
Usine à éléments Jaxe

## Constructor Summary

Constructors
Constructor
Description
`JEFactory()`

## Method Summary

Modifier and Type
Method
Description
`static JaxeElement`
`createJE(JaxeDocument doc, Element refElement, String nom, String typeNoeud, Node el)`
Création d'un JaxeElement à partir du type de balise, du document Jaxe, de la référence de l'élément, et (pour une création à partir d'un élément DOM existant) de l'élément DOM.
`static ClassLoader`
`getPluginClassLoader()`
Chargeur de classes pour les plugins, utilisant tous les fichiers .jar dans le dossier plugins.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JEFactory

public JEFactory()

## Method Details

### getPluginClassLoader

public static ClassLoader getPluginClassLoader()
Chargeur de classes pour les plugins, utilisant tous les fichiers .jar dans le dossier plugins. Utilise le chargeur de classes du contexte s'il n'y a pas de plugin.

### createJE

public static JaxeElement createJE(JaxeDocument doc, Element refElement, String nom, String typeNoeud, Node el)
Création d'un JaxeElement à partir du type de balise, du document Jaxe, de la référence de l'élément, et (pour une création à partir d'un élément DOM existant) de l'élément DOM. el doit être null pour la création d'un nouvel élément.